## uc-echo 1.12

=== Makefile ===
CXX = g++
CXXFLAGS = -Wall -O3 -m64
HEADERS = *.hpp
LIB = DNASeq.o NeighborSet.o KmerHashMap.o
TARGETS = hashing NeighborJoin NeighborJoinParam NeighborMerge Voting HashMerge

%.o:	%.cpp $(HEADERS)
	$(CXX) -c $(CXXFLAGS) $< -o $*.o

%:	%.cpp $(LIB) $(HEADERS)
	$(CXX) $(CXXFLAGS) -o $* $*.cpp $(LIB)

all:	$(LIB) $(TARGETS)

clean:
	rm -f $(LIB) $(TARGETS) $(UTIL)

release:
	mkdir release
	mkdir release/output
	mkdir release/tmp
	mkdir release/log
	cp ErrorCorrection.py release/
	cp util.hpp DNASeq.hpp KmerHashMap.hpp MMAP.hpp MMAPReads.hpp NeighborSet.hpp release/
	cp DNASeq.cpp KmerHashMap.cpp hashing.cpp HashMerge.cpp NeighborSet.cpp NeighborJoin.cpp NeighborJoinParam.cpp NeighborMerge.cpp Voting.cpp release/
	cp Makefile release/
	cp sample_data.txt release/
	cp sample_answer.txt release/
	cp LICENSE release/
	cp README release/

=== debian/changelog ===
uc-echo (1.12-19) unstable; urgency=medium

  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Do not try to import floor / ceil from scipy
    Closes: #1071704

 -- Andreas Tille <tille@debian.org>  Wed, 05 Jun 2024 13:48:16 +0200

uc-echo (1.12-18) unstable; urgency=medium

  * Fix Build-Depends
    Closes: #1030463

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 08:45:28 +0100

uc-echo (1.12-17) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/uc-echo.lintian-overrides on line
    2-3.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 08:41:12 +0100

uc-echo (1.12-16) unstable; urgency=medium

  * Team upload
  * Do not build 32-bit binaries for the wrong architecture
  * Build-Depend on python3 instead of python3-all-dev
  * Switch to debhelper 13
  * Test the installed binaries
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 07 Nov 2021 11:20:37 +0000

uc-echo (1.12-15) unstable; urgency=medium

  * Using int and not char for storing offsets
    Closes: #953898

 -- Pierre Gruet <pgtdebian@free.fr>  Fri, 17 Apr 2020 11:51:35 +0200

uc-echo (1.12-14) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Update test depends

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 08 Mar 2020 22:36:35 +0530

uc-echo (1.12-13) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Update metadata

  [ Nilesh Patra ]
  * Update Build-Dep
  * Fix 2to3.patch in accordance with python3 changes
  * Add a simple autopkgtest
  * Fix permissions of an executable
  * Add "Rules-Requires-Root: no"
  * Bump standards version to 4.5.0
  * Fix URLs in upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 20 Feb 2020 00:02:41 +0530

uc-echo (1.12-12) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #938741
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/rules
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Sep 2019 21:24:31 +0200

uc-echo (1.12-11) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Build-Depends. (Closes: #929330)

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 May 2019 21:01:35 +0200

uc-echo (1.12-10) unstable; urgency=medium

  [ Steffen Moeller and Jon Ison ]
  * Introduced EDAM annotation
  * debian/upstream/metadata: Added references to registries

  [ Andreas Tille ]
  * Update d/copyright
  * Drop redundant get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 15:30:44 +0200

uc-echo (1.12-9) unstable; urgency=medium

  * Add dependency python-scipy
    Closes: #785006

 -- Navid Fehrenbacher <nf@q-leap.de>  Fri, 15 May 2015 08:26:15 +0000

uc-echo (1.12-8) unstable; urgency=medium

  * Prevent option -m64 on arm64
    Closes: #770041
  * cme fix dpkg-control
  * DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 08 Dec 2014 09:09:40 +0100

uc-echo (1.12-7) unstable; urgency=medium

  * Add support with mips abi=n32, n64 (thanks for the patch to
    Sphinx Jiang <yishanj13@gmail.com>)
    Closes: #752070

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jun 2014 14:38:06 +0200

uc-echo (1.12-6) unstable; urgency=medium

  * Fix Build on hppa (thanks for the patch to Helge Deller <deller@gmx.de>)
    Closes: #742744

 -- Andreas Tille <tille@debian.org>  Thu, 27 Mar 2014 11:42:11 +0100

uc-echo (1.12-5) unstable; urgency=medium

  * debian/upstream -> debian/upstream/metadata
  * Restore g++-multilib build-dependency on several 32-bit architectures.
    (thanks for the patch to Colin Watson <cjwatson@ubuntu.com>)
    Closes: #742285

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2014 23:13:19 +0100

uc-echo (1.12-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: title needs quoting since it contains a ": " string
  * debian/control:
     - cme fix dpkg-control

  [ Nobuhiro Iwamatsu ]
  * Add sh4 powerpcspe and m68k for don't need -m64.
  * Use dpkg-architecture -qDEB_HOST_MULTIARCH instead of gcc -print-multiarch.
    Closes: #728412

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2013 09:56:50 +0100

uc-echo (1.12-3) unstable; urgency=low

  * debian/rules: more architectures don't need -m64

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 30 Oct 2013 19:00:07 +0100

uc-echo (1.12-2) unstable; urgency=low

  * debian/control: use g++-multilib only when available (Closes: #727657)
  * debian/control: use canonical vcs-fields
  * add patch to compile on mips/mipsel

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 29 Oct 2013 19:00:07 +0100

uc-echo (1.12-1) unstable; urgency=low

  * initial version (Closes: #704902)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Mar 2013 18:00:07 +0100

=== debian/control ===
Source: uc-echo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>,
           Navid Fehrenbacher <nf@q-leap.de>,
           Pierre Gruet <pgt@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-sequence-python3,
               python3:any,
               python3-scipy,
               python3-numpy,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/uc-echo
Vcs-Git: https://salsa.debian.org/med-team/uc-echo.git
Homepage: https://uc-echo.sourceforge.net/
Rules-Requires-Root: no

Package: uc-echo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-scipy
Description: error correction algorithm designed for short-reads from NGS
 ECHO is an error correction algorithm designed for short-reads
 from next-generation sequencing platforms such as Illumina's
 Genome Analyzer II. The algorithm uses a Bayesian framework to
 improve the quality of the reads in a given data set by employing
 maximum a posteriori estimation.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/architecture.mk
LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)
CPATH=/usr/include/$(DEB_HOST_MULTIARCH)
export LIBRARY_PATH CPATH

CXXFLAGS += $(ADDCXXFLAGS)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	echo "I: DEB_HOST_ARCH: $(DEB_HOST_ARCH)"
	echo "I: ADDCXXFLAGS: $(ADDCXXFLAGS)"
	echo "I: CXXFLAGS: $(CXXFLAGS)"
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs README

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/*/usr/lib/*/*.py

=== debian/tests/control ===
Tests: runtest
Depends: @

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./" \
 https://sf.net/uc-echo/echo_v([\d_]+)\.tgz
